## consul 0.6.4~dfsg

=== bench/Makefile ===
REQ=20480
CLIENTS=64
ADDR=http://127.0.0.1:8500/v1/kv/bench
DATA="74a31e96-1d0f-4fa7-aa14-7212a326986e"
MAXPROCS=4

all: put get-default get-stale get-consistent

put:
	@echo "===== PUT test ====="
	GOMAXPROCS=${MAXPROCS} boom -m PUT -d ${DATA} -n ${REQ} -c ${CLIENTS} ${ADDR}

get-default:
	@echo "===== GET default test ====="
	GOMAXPROCS=${MAXPROCS} boom -n ${REQ} -c ${CLIENTS} ${ADDR}

get-stale:
	@echo "===== GET stale test ====="
	GOMAXPROCS=${MAXPROCS} boom -n ${REQ} -c ${CLIENTS} ${ADDR}?stale

get-consistent:
	@echo "===== GET consistent test ====="
	GOMAXPROCS=${MAXPROCS} boom -n ${REQ} -c ${CLIENTS} ${ADDR}?consistent

=== debian/changelog ===
consul (0.6.4~dfsg-3) unstable; urgency=medium

  * Added "golang-github-hashicorp-go-cleanhttp-dev" to -dev's Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 18 Jun 2016 20:47:29 +1000

consul (0.6.4~dfsg-2) unstable; urgency=medium

  * Drop "consul/command" and corresponding Depends from -dev package.
  * New patch with post-0.6.4 API changes.
  * Standards-Version: 3.9.8.
  * Vcs-Git URL to HTTPS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 15 Jun 2016 20:32:00 +1000

consul (0.6.4~dfsg-1) unstable; urgency=medium

  [ Tim Potter ]
  * Remove unneeded dependency on golang-github-armon-gomdb-dev

  [ Dmitry Smirnov ]
  * New upstream release.
  * (Build-)Depends:
    + golang-github-hashicorp-go-uuid-dev
    + golang-github-hashicorp-hil-dev
    + golang-github-mitchellh-copystructure-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Apr 2016 16:45:53 +1000

consul (0.6.3~dfsg-2) unstable; urgency=medium

  * Drop unused "consul-migrate".
  * (Build-)Depends:
    - golang-github-hashicorp-consul-migrate-dev
  * Standards-Version: 3.9.7.
  * Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 23 Mar 2016 16:41:11 +1100

consul (0.6.3~dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #804277).

 -- Tianon Gravi <tianon@debian.org>  Fri, 06 Nov 2015 12:20:36 -0800

=== debian/control ===
Source: consul
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
          ,Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
    golang-dns-dev | golang-github-miekg-dns-dev,
    golang-github-armon-circbuf-dev,
    golang-github-armon-go-metrics-dev,
    golang-github-armon-go-radix-dev,
    golang-github-elazarl-go-bindata-assetfs-dev (>= 0.0~git20151224~),
    golang-github-fsouza-go-dockerclient-dev,
    golang-github-hashicorp-go-checkpoint-dev,
    golang-github-hashicorp-go-memdb-dev,
    golang-github-hashicorp-go-msgpack-dev,
    golang-github-hashicorp-go-reap-dev,
    golang-github-hashicorp-go-syslog-dev,
    golang-github-hashicorp-go-uuid-dev,
    golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~),
    golang-github-hashicorp-hcl-dev,
    golang-github-hashicorp-hil-dev,
    golang-github-hashicorp-logutils-dev,
    golang-github-hashicorp-memberlist-dev (>= 0.0~git20160225~),
    golang-github-hashicorp-raft-boltdb-dev,
    golang-github-hashicorp-raft-dev,
    golang-github-hashicorp-scada-client-dev,
    golang-github-hashicorp-serf-dev (>= 0.7.0~),
    golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~),
    golang-github-inconshreveable-muxado-dev,
    golang-github-mitchellh-cli-dev,
    golang-github-mitchellh-copystructure-dev,
    golang-github-mitchellh-mapstructure-dev,
    golang-github-ryanuber-columnize-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/hashicorp/consul
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-consul.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-hashicorp-consul.git
XS-Go-Import-Path: github.com/hashicorp/consul

Package: golang-github-hashicorp-consul-dev
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends},
         golang-go,
    golang-dns-dev | golang-github-miekg-dns-dev,
    golang-github-armon-go-metrics-dev,
    golang-github-armon-go-radix-dev,
    golang-github-hashicorp-go-cleanhttp-dev,
    golang-github-hashicorp-go-memdb-dev,
    golang-github-hashicorp-go-msgpack-dev,
    golang-github-hashicorp-go-uuid-dev,
    golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~),
    golang-github-hashicorp-hcl-dev,
    golang-github-hashicorp-hil-dev,
    golang-github-hashicorp-memberlist-dev (>= 0.0~git20160225~),
    golang-github-hashicorp-raft-boltdb-dev,
    golang-github-hashicorp-raft-dev,
    golang-github-hashicorp-serf-dev (>= 0.7.0~),
    golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~),
    golang-github-inconshreveable-muxado-dev,
    golang-github-mitchellh-cli-dev,
    golang-github-mitchellh-copystructure-dev,
Description: tool for service discovery, monitoring and configuration (source)
 Consul is a tool for service discovery and configuration. Consul is
 distributed, highly available, and extremely scalable.
 .
 Consul provides several key features:
 .
  - Service Discovery - Consul makes it simple for services to register
    themselves and to discover other services via a DNS or HTTP interface.
    External services such as SaaS providers can be registered as well.
 .
  - Health Checking - Health Checking enables Consul to quickly alert operators
    about any issues in a cluster. The integration with service discovery
    prevents routing traffic to unhealthy hosts and enables service level
    circuit breakers.
 .
  - Key/Value Storage - A flexible key/value store enables storing dynamic
    configuration, feature flagging, coordination, leader election and more. The
    simple HTTP API makes it easy to use anywhere.
 .
  - Multi-Datacenter - Consul is built to be datacenter aware, and can support
    any number of regions without complex configuration.
 .
 Consul runs on Linux, Mac OS X, and Windows. It is recommended to run the
 Consul servers only on Linux, however.
 .
 This package contains the source.

Package: consul
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: tool for service discovery, monitoring and configuration
 Consul is a tool for service discovery and configuration. Consul is
 distributed, highly available, and extremely scalable.
 .
 Consul provides several key features:
 .
  - Service Discovery - Consul makes it simple for services to register
    themselves and to discover other services via a DNS or HTTP interface.
    External services such as SaaS providers can be registered as well.
 .
  - Health Checking - Health Checking enables Consul to quickly alert operators
    about any issues in a cluster. The integration with service discovery
    prevents routing traffic to unhealthy hosts and enables service level
    circuit breakers.
 .
  - Key/Value Storage - A flexible key/value store enables storing dynamic
    configuration, feature flagging, coordination, leader election and more. The
    simple HTTP API makes it easy to use anywhere.
 .
  - Multi-Datacenter - Consul is built to be datacenter aware, and can support
    any number of regions without complex configuration.
 .
 Consul runs on Linux, Mac OS X, and Windows. It is recommended to run the
 Consul servers only on Linux, however.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	## TODO patch out tests that rely on network via -test.short or
	## something (which doesn't appear to be used anywhere ATM, so might
	## be amenable as a PR to upstream)
	-dh_auto_test

override_dh_install:
	## Do not install "github.com/hashicorp/consul/command" to -dev package.
	dh_install -X/src/github.com/hashicorp/consul/command

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=~dfsg,\
repack,compression=xz,\
dversionmangle=s{[~+](?:ds|dfsg)\d*$}{},\
"  https://github.com/hashicorp/consul/releases \
   .*/archive/v?(\d[\d.]+)\.tar\.gz

## consul 1.0.7~dfsg

=== debian/changelog ===
consul (1.0.7~dfsg-4) unstable; urgency=medium

  * More patches to disable failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 29 Jun 2018 17:25:34 +1000

consul (1.0.7~dfsg-3) unstable; urgency=medium

  * Patchworks to fix/skip failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 29 Jun 2018 16:09:23 +1000

consul (1.0.7~dfsg-2) unstable; urgency=medium

  * dev/Depends += "golang-github-hashicorp-go-rootcerts-dev".
  * Install .service file, create "consul" user; Depends += "adduser".
  * New patch to disable spuriously failing test.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 29 Jun 2018 13:56:51 +1000

consul (1.0.7~dfsg-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream release [April 2018].
    + fixed test failures (Closes: #871687).
  * Testsuite: autopkgtest-pkg-go
  * Standards-Version: 4.1.4; Priority: optional
  * debhelper & compat to version 11.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 27 Jun 2018 21:04:29 +1000

consul (0.6.4~dfsg-4) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Correct the Vcs-Git and Vcs-Browser URL to the correct URI.

  [ Martín Ferrari ]
  * Add myself to Uploaders.
  * debian/control: Remove golang-go dependency from -dev package.
  * debian/control: Replace golang-go with golang-any in Build-Depends.
  * Add versioned dependency on golang-golang-x-sys-dev, to solve build
    issues in arm64.
  * Drop old package name in dependencies.
  * Disable test that runs so long it gets killed.
  * Disable tests that access the network.

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 10 Aug 2017 13:33:16 +0300

=== debian/control ===
Source: consul
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Tianon Gravi <tianon@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 11~) ,dh-golang ,golang-any
    ,golang-github-armon-circbuf-dev
    ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
    ,golang-github-armon-go-radix-dev
#   ,golang-github-beorn7-perks-dev
    ,golang-github-bgentry-speakeasy-dev
    ,golang-github-circonus-labs-circonus-gometrics-dev (>= 1.2.0~)
    ,golang-github-circonus-labs-circonusllhist-dev
    ,golang-github-datadog-datadog-go-dev
    ,golang-github-davecgh-go-spew-dev
    ,golang-github-denverdino-aliyungo-dev
    ,golang-github-elazarl-go-bindata-assetfs-dev (>= 0.0~git20151224~)
    ,golang-github-fsouza-go-dockerclient-dev
    ,golang-github-google-gofuzz-dev
    ,golang-github-gophercloud-gophercloud-dev
    ,golang-github-hashicorp-go-checkpoint-dev
    ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.0~git20171219~)
    ,golang-github-hashicorp-go-immutable-radix-dev (>= 0.0~git20170725~)
    ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
    ,golang-github-hashicorp-go-memdb-dev (>= 0.0~git20180224~)
    ,golang-github-hashicorp-go-msgpack-dev
    ,golang-github-hashicorp-go-multierror-dev
    ,golang-github-hashicorp-go-reap-dev
    ,golang-github-hashicorp-go-retryablehttp-dev
    ,golang-github-hashicorp-go-rootcerts-dev
    ,golang-github-hashicorp-go-sockaddr-dev
    ,golang-github-hashicorp-go-syslog-dev
    ,golang-github-hashicorp-go-uuid-dev
    ,golang-github-hashicorp-go-version-dev
    ,golang-github-hashicorp-hcl-dev
    ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
    ,golang-github-hashicorp-logutils-dev
    ,golang-github-hashicorp-memberlist-dev (>= 0.1.0+git20180209~)
    ,golang-github-hashicorp-net-rpc-msgpackrpc-dev
    ,golang-github-hashicorp-raft-boltdb-dev
    ,golang-github-hashicorp-raft-dev
    ,golang-github-hashicorp-scada-client-dev
    ,golang-github-hashicorp-serf-dev (>= 0.8.1+git20180508~)
    ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
    ,golang-github-inconshreveable-muxado-dev
    ,golang-github-mattn-go-isatty-dev
    ,golang-github-miekg-dns-dev
    ,golang-github-mitchellh-cli-dev (>= 0.0~git20171129~)
    ,golang-github-mitchellh-copystructure-dev
    ,golang-github-mitchellh-hashstructure-dev
    ,golang-github-mitchellh-mapstructure-dev
    ,golang-github-mitchellh-reflectwalk-dev
    ,golang-github-nytimes-gziphandler-dev
    ,golang-github-pmezard-go-difflib-dev
    ,golang-github-posener-complete-dev
    ,golang-github-ryanuber-columnize-dev
    ,golang-github-sergi-go-diff-dev
    ,golang-github-shirou-gopsutil-dev
    ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
Standards-Version: 4.1.4
Homepage: https://github.com/hashicorp/consul
Vcs-Browser: https://salsa.debian.org/go-team/packages/consul
Vcs-Git: https://salsa.debian.org/go-team/packages/consul.git
XS-Go-Import-Path: github.com/hashicorp/consul
Testsuite: autopkgtest-pkg-go

Package: golang-github-hashicorp-consul-dev
Architecture: all
Depends: ${misc:Depends} ,${shlibs:Depends}
    ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
    ,golang-github-armon-go-radix-dev
    ,golang-github-hashicorp-go-cleanhttp-dev
    ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
    ,golang-github-hashicorp-go-memdb-dev
    ,golang-github-hashicorp-go-msgpack-dev
    ,golang-github-hashicorp-go-rootcerts-dev
    ,golang-github-hashicorp-go-uuid-dev
    ,golang-github-hashicorp-hcl-dev
    ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
    ,golang-github-hashicorp-memberlist-dev (>= 0.1.0+git20180209~)
    ,golang-github-hashicorp-raft-boltdb-dev
    ,golang-github-hashicorp-raft-dev
    ,golang-github-hashicorp-serf-dev (>= 0.8.1+git20180508~)
    ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
    ,golang-github-inconshreveable-muxado-dev
    ,golang-github-miekg-dns-dev
    ,golang-github-mitchellh-cli-dev (>= 0.0~git20171129~)
    ,golang-github-mitchellh-copystructure-dev
    ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
Description: tool for service discovery, monitoring and configuration (source)
 Consul is a tool for service discovery and configuration. Consul is
 distributed, highly available, and extremely scalable.
 .
 Consul provides several key features:
 .
  - Service Discovery - Consul makes it simple for services to register
    themselves and to discover other services via a DNS or HTTP interface.
    External services such as SaaS providers can be registered as well.
 .
  - Health Checking - Health Checking enables Consul to quickly alert operators
    about any issues in a cluster. The integration with service discovery
    prevents routing traffic to unhealthy hosts and enables service level
    circuit breakers.
 .
  - Key/Value Storage - A flexible key/value store enables storing dynamic
    configuration, feature flagging, coordination, leader election and more.
    The simple HTTP API makes it easy to use anywhere.
 .
  - Multi-Datacenter - Consul is built to be datacenter aware, and can support
    any number of regions without complex configuration.
 .
 Consul runs on Linux, Mac OS X, and Windows. It is recommended to run the
 Consul servers only on Linux, however.
 .
 This package contains the source.

Package: consul
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends} ,adduser
Built-Using: ${misc:Built-Using}
Description: tool for service discovery, monitoring and configuration
 Consul is a tool for service discovery and configuration. Consul is
 distributed, highly available, and extremely scalable.
 .
 Consul provides several key features:
 .
  - Service Discovery - Consul makes it simple for services to register
    themselves and to discover other services via a DNS or HTTP interface.
    External services such as SaaS providers can be registered as well.
 .
  - Health Checking - Health Checking enables Consul to quickly alert operators
    about any issues in a cluster. The integration with service discovery
    prevents routing traffic to unhealthy hosts and enables service level
    circuit breakers.
 .
  - Key/Value Storage - A flexible key/value store enables storing dynamic
    configuration, feature flagging, coordination, leader election and more.
    The simple HTTP API makes it easy to use anywhere.
 .
  - Multi-Datacenter - Consul is built to be datacenter aware, and can support
    any number of regions without complex configuration.
 .
 Consul runs on Linux, Mac OS X, and Windows. It is recommended to run the
 Consul servers only on Linux, however.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_GO_GENERATE := 1
export DH_GOLANG_INSTALL_EXTRA := test/

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	-find . -type f -name '*.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files
	-find vendor -type d -empty -delete -print

override_dh_auto_test:
	PATH="$(CURDIR)/_build/bin:$${PATH}" dh_auto_test --max-parallel=3 -- -test.short

override_dh_install:
	## Do not install "github.com/hashicorp/consul/vendor" to -dev package.
	dh_install  -X/src/github.com/hashicorp/consul/vendor

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

## consul 1.0.7~dfsg1

=== debian/changelog ===
consul (1.0.7~dfsg1-5) unstable; urgency=medium

  * Install bash-completion(s).
  * .service hardening.
  * Install log_level.hcl conffile.
  * Install documentation.
  * postinst: chown "/var/lib/consul".
  * postinst: adduser improvements.
  * Disabled all tests (too slow; very unreliable).
  * Test with "-failfast" to abort on first failure.
  * Standards-Version: 4.2.0.
  * Un-bundled "golang-github-mitchellh-go-testing-interface-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 17 Aug 2018 20:07:57 +1000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: consul
 Section: devel
 Priority: optional
+Standards-Version: 4.2.0
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Martín Ferrari <tincho@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
-Build-Depends: debhelper (>= 11~) ,dh-golang ,golang-any
+Build-Depends: debhelper (>= 11~) ,bash-completion ,dh-golang ,golang-any
     ,golang-github-armon-circbuf-dev
     ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
     ,golang-github-armon-go-radix-dev
@@ -49,6 +50,7 @@
     ,golang-github-mattn-go-isatty-dev
     ,golang-github-miekg-dns-dev
     ,golang-github-mitchellh-cli-dev (>= 0.0~git20171129~)
+    ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
@@ -60,7 +62,6 @@
     ,golang-github-sergi-go-diff-dev
     ,golang-github-shirou-gopsutil-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
-Standards-Version: 4.1.4
 Homepage: https://github.com/hashicorp/consul
 Vcs-Browser: https://salsa.debian.org/go-team/packages/consul
 Vcs-Git: https://salsa.debian.org/go-team/packages/consul.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DH_GOLANG_INSTALL_EXTRA := test/
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=_build
+	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build
 
 override_dh_clean:
 	dh_clean
@@ -14,7 +14,7 @@
 	-find vendor -type d -empty -delete -print
 
 override_dh_auto_test:
-	PATH="$(CURDIR)/_build/bin:$${PATH}" dh_auto_test --max-parallel=3 -- -test.short
+#	PATH="$(CURDIR)/_build/bin:$${PATH}" dh_auto_test --max-parallel=3 -- -test.short -timeout 20m -failfast
 
 override_dh_install:
 	## Do not install "github.com/hashicorp/consul/vendor" to -dev package.

=== debian/watch ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 opts="\
 pgpmode=none,\
-repacksuffix=~dfsg,\
+repacksuffix=~dfsg1,\
 repack,compression=xz,\
 dversionmangle=s{[~+](?:ds|dfsg)\d*$}{},\
 "  https://github.com/hashicorp/consul/releases \

## consul 1.4.4~dfsg1

=== debian/changelog ===
consul (1.4.4~dfsg1-2) unstable; urgency=medium

  * Disabled few unreliable tests due to random failures.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 20 Oct 2019 11:44:13 +1100

consul (1.4.4~dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #912259).
  * Added missing B-Deps (Closes: #910714).
    Thanks, Steve Langasek.
  * Standards-Version: 4.4.1.
  * Added more config examples.
  * Added README.source with note about staying in sync with Nomad.
  * Re-enabled tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 19 Oct 2019 21:02:23 +1100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,47 @@
 Source: consul
 Section: devel
 Priority: optional
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Martín Ferrari <tincho@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
 Build-Depends: debhelper (>= 11~) ,bash-completion ,dh-golang ,golang-any
+    ,golang-github-asaskevich-govalidator-dev
     ,golang-github-armon-circbuf-dev
     ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
     ,golang-github-armon-go-radix-dev
+    ,golang-github-azure-go-autorest-dev (>= 10.15.5~)
+#       ,golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~)
 #   ,golang-github-beorn7-perks-dev
     ,golang-github-bgentry-speakeasy-dev
-    ,golang-github-circonus-labs-circonus-gometrics-dev (>= 1.2.0~)
+    ,golang-github-circonus-labs-circonus-gometrics-dev (>= 2.3.1~)
     ,golang-github-circonus-labs-circonusllhist-dev
     ,golang-github-datadog-datadog-go-dev
     ,golang-github-davecgh-go-spew-dev
     ,golang-github-denverdino-aliyungo-dev
+    ,golang-github-digitalocean-godo-dev
+    ,golang-github-docker-go-connections-dev
     ,golang-github-elazarl-go-bindata-assetfs-dev (>= 0.0~git20151224~)
     ,golang-github-fsouza-go-dockerclient-dev
+    ,golang-github-gogo-googleapis-dev
+    ,golang-github-gogo-protobuf-dev (>= 1.2.1~)
+    ,golang-github-golang-snappy-dev
+    ,golang-github-googleapis-gnostic-dev
     ,golang-github-google-gofuzz-dev
     ,golang-github-gophercloud-gophercloud-dev
+    ,golang-github-gregjones-httpcache-dev
     ,golang-github-hashicorp-go-checkpoint-dev
     ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.0~git20171219~)
-    ,golang-github-hashicorp-go-immutable-radix-dev (>= 0.0~git20170725~)
+    ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
+    ,golang-github-hashicorp-go-immutable-radix-dev (>= 1.1.0~)
     ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
     ,golang-github-hashicorp-go-memdb-dev (>= 0.0~git20180224~)
     ,golang-github-hashicorp-go-msgpack-dev
     ,golang-github-hashicorp-go-multierror-dev
+#   ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
+    ,golang-github-hashicorp-go-raftchunking-dev
     ,golang-github-hashicorp-go-reap-dev
     ,golang-github-hashicorp-go-retryablehttp-dev
     ,golang-github-hashicorp-go-rootcerts-dev
@@ -39,29 +52,43 @@
     ,golang-github-hashicorp-hcl-dev
     ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
     ,golang-github-hashicorp-logutils-dev
-    ,golang-github-hashicorp-memberlist-dev (>= 0.1.0+git20180209~)
+    ,golang-github-hashicorp-memberlist-dev (>= 0.1.5~)
     ,golang-github-hashicorp-net-rpc-msgpackrpc-dev
     ,golang-github-hashicorp-raft-boltdb-dev
-    ,golang-github-hashicorp-raft-dev
+    ,golang-github-hashicorp-raft-dev (>= 1.1.1~)
     ,golang-github-hashicorp-scada-client-dev
-    ,golang-github-hashicorp-serf-dev (>= 0.8.1+git20180508~)
+    ,golang-github-hashicorp-serf-dev (>= 0.8.4~)
     ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
     ,golang-github-inconshreveable-muxado-dev
+    ,golang-github-imdario-mergo-dev
+#NEW,golang-github-jefferai-jsonx-dev
+      ,golang-github-jeffail-gabs-dev
+    ,golang-github-json-iterator-go-dev
+    ,golang-github-kr-text-dev
     ,golang-github-mattn-go-isatty-dev
     ,golang-github-miekg-dns-dev
-    ,golang-github-mitchellh-cli-dev (>= 0.0~git20171129~)
+    ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
     ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
     ,golang-github-mitchellh-reflectwalk-dev
     ,golang-github-nytimes-gziphandler-dev
+    ,golang-github-packethost-packngo-dev
+    ,golang-github-pascaldekloe-goe-dev
+    ,golang-github-peterbourgon-diskv-dev
     ,golang-github-pmezard-go-difflib-dev
     ,golang-github-posener-complete-dev
     ,golang-github-ryanuber-columnize-dev
+    ,golang-github-ryanuber-go-glob-dev
     ,golang-github-sergi-go-diff-dev
     ,golang-github-shirou-gopsutil-dev
+    ,golang-github-vmware-govmomi-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
+    ,golang-gopkg-inf.v0-dev
+#   ,mockery
+# tests:
+    ,golang-github-sap-go-hdb-dev
 Homepage: https://github.com/hashicorp/consul
 Vcs-Browser: https://salsa.debian.org/go-team/packages/consul
 Vcs-Git: https://salsa.debian.org/go-team/packages/consul.git
@@ -70,10 +97,11 @@
 
 Package: golang-github-hashicorp-consul-dev
 Architecture: all
-Depends: ${misc:Depends} ,${shlibs:Depends}
+Depends: ${misc:Depends}
     ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
     ,golang-github-armon-go-radix-dev
     ,golang-github-hashicorp-go-cleanhttp-dev
+    ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
     ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
     ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-go-msgpack-dev
@@ -81,15 +109,16 @@
     ,golang-github-hashicorp-go-uuid-dev
     ,golang-github-hashicorp-hcl-dev
     ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
-    ,golang-github-hashicorp-memberlist-dev (>= 0.1.0+git20180209~)
+    ,golang-github-hashicorp-memberlist-dev (>= 0.1.5~)
     ,golang-github-hashicorp-raft-boltdb-dev
-    ,golang-github-hashicorp-raft-dev
-    ,golang-github-hashicorp-serf-dev (>= 0.8.1+git20180508~)
+    ,golang-github-hashicorp-raft-dev (>= 1.1.1~)
+    ,golang-github-hashicorp-serf-dev (>= 0.8.4~)
     ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
     ,golang-github-inconshreveable-muxado-dev
     ,golang-github-miekg-dns-dev
-    ,golang-github-mitchellh-cli-dev (>= 0.0~git20171129~)
+    ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
     ,golang-github-mitchellh-copystructure-dev
+    ,golang-github-pascaldekloe-goe-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
 Description: tool for service discovery, monitoring and configuration (source)
  Consul is a tool for service discovery and configuration. Consul is
@@ -120,7 +149,8 @@
 
 Package: consul
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends} ,adduser
+Depends: ${misc:Depends}, ${shlibs:Depends}
+    ,adduser
 Built-Using: ${misc:Built-Using}
 Description: tool for service discovery, monitoring and configuration
  Consul is a tool for service discovery and configuration. Consul is

=== debian/rules ===
#!/usr/bin/make -f

## needs "mockery" (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=940153)
#export DH_GOLANG_GO_GENERATE := 1

export DH_GOLANG_INSTALL_EXTRA := \
    command/connect/ca/set/test-fixtures \
    test

#export DH_GOLANG_EXCLUDES :=

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
#	-find . -type f -name '*.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files
	-find vendor -type d -empty -delete -print

override_dh_auto_configure:
	dh_auto_configure
	
	mkdir -v -p _build/src/github.com/keybase/
	ln -sv /usr/share/gocode/src/golang.org/x/crypto  _build/src/github.com/keybase/go-crypto
	
	mkdir -v -p _build/src/github.com/SermoDigital/
	ln -sv /usr/share/gocode/src/gopkg.in/square/go-jose.v1  _build/src/github.com/SermoDigital/jose

#LIBSELF:=github.com/hashicorp/consul
#override_dh_auto_build:
#	## https://salsa.debian.org/onlyjob/notes/wikis/golang
#	## "go generate" in "vendor":
#	DH_GOLANG_EXCLUDES="github.com/hashicorp/consul/vendor/github.com/googleapis/gnostic/extensions github.com/envoyproxy/go-control-plane $(LIBSELF)/vendor/k8s.io/apimachinery/pkg github.com/hashicorp/vault github.com/hashicorp/go-plugin" \
#	DH_GOPKG="github.com/hashicorp/consul/vendor" \
#	dh_auto_build -v
#	cd _build && GOPATH=$(CURDIR)/_build go generate -v $(LIBSELF)/vendor
#	sleep 8
#	dh_auto_build

override_dh_auto_test:
	PATH="$(CURDIR)/_build/bin:$${PATH}" \
        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent" \
        dh_auto_test --max-parallel=2 -- -test.short -timeout 20m -failfast

override_dh_install:
	## Do not install "github.com/hashicorp/consul/vendor" to -dev package.
	dh_install  -X/src/github.com/hashicorp/consul/vendor  -Xcertgen

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=~dfsg1,\
repack,compression=xz,\
dversionmangle=s{[~+](?:ds|dfsg)\d*$}{},\
"  https://github.com/hashicorp/consul/releases?after=v1.5.2 \
   .*/archive/v?(\d[\d.]+)\.tar\.gz

## consul 1.4.4~dfsg2

=== debian/changelog ===
consul (1.4.4~dfsg2-4) unstable; urgency=medium

  * Disabled more failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 15 Nov 2019 08:18:21 +1100

consul (1.4.4~dfsg2-3) unstable; urgency=medium

  * rules: run "make proto" before build.
  * Run more tests and disable more randomly failing ones.
  * New patch to fix FTBFS with "golang-github-hashicorp-go-discover-dev".
  * Tighten dependencies versioning.
  * Added missing Build-Depends (Closes: #910714).
    Thanks, Steve Langasek.
  * Build-Depends:
    - golang-github-fsouza-go-dockerclient-dev
    - golang-github-jeffail-gabs-dev
    - golang-github-posener-complete-dev
    - golang-github-sergi-go-diff-dev
    = golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
    = golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
    + golang-github-ghodss-yaml-dev
    + golang-github-hashicorp-go-discover-dev
    + golang-github-jefferai-jsonx-dev
    + golang-github-spf13-pflag-dev
    + mockery

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 14 Nov 2019 19:58:28 +1100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,12 @@
            Martín Ferrari <tincho@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
-Build-Depends: debhelper (>= 11~) ,bash-completion ,dh-golang ,golang-any
+Build-Depends: debhelper (>= 11~) ,bash-completion ,dh-golang (>= 1.42~) ,golang-any (>= 2:1.13~)
     ,golang-github-asaskevich-govalidator-dev
     ,golang-github-armon-circbuf-dev
     ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
     ,golang-github-armon-go-radix-dev
     ,golang-github-azure-go-autorest-dev (>= 10.15.5~)
-#       ,golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~)
 #   ,golang-github-beorn7-perks-dev
     ,golang-github-bgentry-speakeasy-dev
     ,golang-github-circonus-labs-circonus-gometrics-dev (>= 2.3.1~)
@@ -24,7 +23,7 @@
     ,golang-github-digitalocean-godo-dev
     ,golang-github-docker-go-connections-dev
     ,golang-github-elazarl-go-bindata-assetfs-dev (>= 0.0~git20151224~)
-    ,golang-github-fsouza-go-dockerclient-dev
+    ,golang-github-ghodss-yaml-dev
     ,golang-github-gogo-googleapis-dev
     ,golang-github-gogo-protobuf-dev (>= 1.2.1~)
     ,golang-github-golang-snappy-dev
@@ -33,12 +32,13 @@
     ,golang-github-gophercloud-gophercloud-dev
     ,golang-github-gregjones-httpcache-dev
     ,golang-github-hashicorp-go-checkpoint-dev
-    ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.0~git20171219~)
+    ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
+    ,golang-github-hashicorp-go-discover-dev
     ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
     ,golang-github-hashicorp-go-immutable-radix-dev (>= 1.1.0~)
     ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
     ,golang-github-hashicorp-go-memdb-dev (>= 0.0~git20180224~)
-    ,golang-github-hashicorp-go-msgpack-dev
+    ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
     ,golang-github-hashicorp-go-multierror-dev
 #   ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-go-raftchunking-dev
@@ -61,8 +61,7 @@
     ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
     ,golang-github-inconshreveable-muxado-dev
     ,golang-github-imdario-mergo-dev
-#NEW,golang-github-jefferai-jsonx-dev
-      ,golang-github-jeffail-gabs-dev
+    ,golang-github-jefferai-jsonx-dev
     ,golang-github-json-iterator-go-dev
     ,golang-github-kr-text-dev
     ,golang-github-mattn-go-isatty-dev
@@ -78,15 +77,14 @@
     ,golang-github-pascaldekloe-goe-dev
     ,golang-github-peterbourgon-diskv-dev
     ,golang-github-pmezard-go-difflib-dev
-    ,golang-github-posener-complete-dev
     ,golang-github-ryanuber-columnize-dev
     ,golang-github-ryanuber-go-glob-dev
-    ,golang-github-sergi-go-diff-dev
     ,golang-github-shirou-gopsutil-dev
+    ,golang-github-spf13-pflag-dev
     ,golang-github-vmware-govmomi-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
     ,golang-gopkg-inf.v0-dev
-#   ,mockery
+    ,mockery
 # tests:
     ,golang-github-sap-go-hdb-dev
 Homepage: https://github.com/hashicorp/consul
@@ -100,11 +98,11 @@
 Depends: ${misc:Depends}
     ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
     ,golang-github-armon-go-radix-dev
-    ,golang-github-hashicorp-go-cleanhttp-dev
+    ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
     ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
     ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
     ,golang-github-hashicorp-go-memdb-dev
-    ,golang-github-hashicorp-go-msgpack-dev
+    ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
     ,golang-github-hashicorp-go-rootcerts-dev
     ,golang-github-hashicorp-go-uuid-dev
     ,golang-github-hashicorp-hcl-dev

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-## needs "mockery" (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=940153)
-#export DH_GOLANG_GO_GENERATE := 1
+## needs "mockery":
+export DH_GOLANG_GO_GENERATE := 1
 
 export DH_GOLANG_INSTALL_EXTRA := \
     command/connect/ca/set/test-fixtures \
@@ -28,21 +28,28 @@
 	mkdir -v -p _build/src/github.com/SermoDigital/
 	ln -sv /usr/share/gocode/src/gopkg.in/square/go-jose.v1  _build/src/github.com/SermoDigital/jose
 
-#LIBSELF:=github.com/hashicorp/consul
-#override_dh_auto_build:
+LIBSELF:=github.com/hashicorp/consul
+override_dh_auto_build:
 #	## https://salsa.debian.org/onlyjob/notes/wikis/golang
 #	## "go generate" in "vendor":
-#	DH_GOLANG_EXCLUDES="github.com/hashicorp/consul/vendor/github.com/googleapis/gnostic/extensions github.com/envoyproxy/go-control-plane $(LIBSELF)/vendor/k8s.io/apimachinery/pkg github.com/hashicorp/vault github.com/hashicorp/go-plugin" \
-#	DH_GOPKG="github.com/hashicorp/consul/vendor" \
+#	DH_GOLANG_EXCLUDES="vendor/github.com/hashicorp/go-discover vendor/github.com/hashicorp/vault vendor/github.com/jefferai/jsonx" \
+#	DH_GOPKG="$(LIBSELF)/vendor" \
+#	DH_GOLANG_GO_GENERATE=1 \
 #	dh_auto_build -v
-#	cd _build && GOPATH=$(CURDIR)/_build go generate -v $(LIBSELF)/vendor
-#	sleep 8
-#	dh_auto_build
+#	
+	export GOPATH=$(CURDIR)/_build \
+        && $(MAKE) -C _build/src/$(LIBSELF) --makefile=$(CURDIR)/GNUmakefile proto
+	
+	dh_auto_build -v
 
+## Quoting upstream as per ".github/CONTRIBUTING.md":
+## > The test suite may fail if over-parallelized, so if you are seeing
+## > stochastic failures try `GOTEST_FLAGS="-p 2 -parallel 2".
+## Note that "--max-parallel=2" translates to "-p 2" which is not the same as "-parallel 2".
 override_dh_auto_test:
 	PATH="$(CURDIR)/_build/bin:$${PATH}" \
-        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent" \
-        dh_auto_test --max-parallel=2 -- -test.short -timeout 20m -failfast
+        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/checks agent/connect agent/consul command/tls" \
+        dh_auto_test -v --max-parallel=4 -- -short -failfast -timeout 5m
 
 override_dh_install:
 	## Do not install "github.com/hashicorp/consul/vendor" to -dev package.

=== debian/watch ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 opts="\
 pgpmode=none,\
-repacksuffix=~dfsg1,\
+repacksuffix=~dfsg2,\
 repack,compression=xz,\
 dversionmangle=s{[~+](?:ds|dfsg)\d*$}{},\
 "  https://github.com/hashicorp/consul/releases?after=v1.5.2 \

## consul 1.4.4~dfsg3

=== debian/changelog ===
consul (1.4.4~dfsg3-5) unstable; urgency=medium

  * Disabled more unstable tests.
  * Remove vendored "github.com/vmware/vic".
  * Removed "golang-github-vmware-govmomi-dev" from Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 19 Nov 2019 10:36:32 +1100

=== debian/control ===
--- 
+++ 
@@ -81,7 +81,6 @@
     ,golang-github-ryanuber-go-glob-dev
     ,golang-github-shirou-gopsutil-dev
     ,golang-github-spf13-pflag-dev
-    ,golang-github-vmware-govmomi-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
     ,golang-gopkg-inf.v0-dev
     ,mockery

=== debian/watch ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 opts="\
 pgpmode=none,\
-repacksuffix=~dfsg2,\
+repacksuffix=~dfsg3,\
 repack,compression=xz,\
 dversionmangle=s{[~+](?:ds|dfsg)\d*$}{},\
 "  https://github.com/hashicorp/consul/releases?after=v1.5.2 \

## consul 1.4.5+dfsg1

=== debian/changelog ===
consul (1.4.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Service hardening.
  * Introduced init script.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 28 Nov 2019 16:02:25 +1100

=== debian/control ===
--- 
+++ 
@@ -83,6 +83,7 @@
     ,golang-github-spf13-pflag-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
     ,golang-gopkg-inf.v0-dev
+#   ,golang-gopkg-square-go-jose.v2-dev
     ,mockery
 # tests:
     ,golang-github-sap-go-hdb-dev
@@ -146,9 +147,11 @@
 
 Package: consul
 Architecture: any
+Built-Using: ${misc:Built-Using}
 Depends: ${misc:Depends}, ${shlibs:Depends}
     ,adduser
-Built-Using: ${misc:Built-Using}
+    ,pipexec
+    ,procps
 Description: tool for service discovery, monitoring and configuration
  Consul is a tool for service discovery and configuration. Consul is
  distributed, highly available, and extremely scalable.

=== debian/rules ===
--- 
+++ 
@@ -57,3 +57,6 @@
 
 override_dh_installsystemd:
 	dh_installsystemd --no-enable --no-start
+
+override_dh_installinit:
+	dh_installinit --no-enable --no-start

## consul 1.5.2+dfsg1

=== debian/changelog ===
consul (1.5.2+dfsg1-4) unstable; urgency=medium

  * Disabled few spontaneously failing tests.
  * Excluded "agent/cache" from testing.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 30 Nov 2019 14:52:05 +1100

consul (1.5.2+dfsg1-3) unstable; urgency=medium

  * Disabled "TestHealthServiceNodes_Filter".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 30 Nov 2019 13:20:52 +1100

consul (1.5.2+dfsg1-2) unstable; urgency=medium

  * copyright: removed obsolete paragraph.
  * Disabled unreliable tests following failures on various architectures.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 30 Nov 2019 08:11:06 +1100

consul (1.5.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends += "golang-gopkg-square-go-jose.v2-dev".
  * Added lintian-override for "field-too-long Built-Using".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 29 Nov 2019 19:14:00 +1100

=== debian/control ===
--- 
+++ 
@@ -83,7 +83,7 @@
     ,golang-github-spf13-pflag-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
     ,golang-gopkg-inf.v0-dev
-#   ,golang-gopkg-square-go-jose.v2-dev
+    ,golang-gopkg-square-go-jose.v2-dev
     ,mockery
 # tests:
     ,golang-github-sap-go-hdb-dev

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
     command/connect/ca/set/test-fixtures \
     test
 
-#export DH_GOLANG_EXCLUDES :=
+export DH_GOLANG_EXCLUDES := test/integration
 
 %:
 	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build
@@ -18,6 +18,7 @@
 	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
 #	-find . -type f -name '*.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files
 	-find vendor -type d -empty -delete -print
+	$(RM) -r test/integration
 
 override_dh_auto_configure:
 	dh_auto_configure
@@ -48,7 +49,7 @@
 ## Note that "--max-parallel=2" translates to "-p 2" which is not the same as "-parallel 2".
 override_dh_auto_test:
 	PATH="$(CURDIR)/_build/bin:$${PATH}" \
-        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/checks agent/connect agent/consul command/tls" \
+        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/cache agent/checks agent/connect agent/consul command/tls" \
         dh_auto_test -v --max-parallel=4 -- -short -failfast -timeout 5m
 
 override_dh_install:
